Bug 834235 - Register SLES 11 SP1 Client
Register SLES 11 SP1 Client
Status: CLOSED NEXTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.7
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-06-21 05:41 EDT by daniel.gerne
Modified: 2012-11-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 06:31:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
up2date (830 bytes, application/octet-stream)
2012-06-21 05:41 EDT, daniel.gerne
no flags Details

  None (edit)
Description daniel.gerne 2012-06-21 05:41:13 EDT
Created attachment 593400 [details]
up2date

Description of problem:
Cannot register a SLES 11 SP1 CLient to spacewalk server with working OSAD.

Version-Release number of selected component (if applicable):


How reproducible:
Generate bootstrap.sh uncomment 'exit 1', add the activationkey.

Steps to Reproduce:
1.Add repository on client http://download.opensuse.org/repositories/home:/midmay:/spacewalk/SLE_11_SP1/
2. install: rhn-client-tools zypp-plugin-spacewalk rhnsd rhn-setup rhn-check yum
3. execute bootstrap
  
Actual results:
rhnreg_ks fails.

Expected results:
System should be registered.

Additional info:
/var/log/up2date attached
Seems like a python problem?
Comment 1 Milan Zazrivec 2012-06-21 06:07:06 EDT
This should be fixed in spacewal.git master:

    7000b97ef84236ded3566334cc8a75801bb607c6
Comment 2 daniel.gerne 2012-06-21 06:31:05 EDT
OK I guess I will wait for an update on midmay repo then.
Thank you!
Comment 3 daniel.gerne 2012-06-26 07:32:19 EDT
Can you tell me when and where I can get the next build of the client-tools?
Is there an official SLES Spacewalk Client Repository?
Comment 4 Miroslav Suchý 2012-06-26 08:17:34 EDT
with next spacewalk release:
https://fedorahosted.org/spacewalk/roadmap

Current plan is:
Due in 3 weeks (07/15/12 18:00:00)
Comment 5 daniel.gerne 2012-06-26 08:20:42 EDT
ok. Will the client then be compatible with my spacewalk 1.7 server or will this force me to migrate?
Comment 6 Miroslav Suchý 2012-06-26 09:33:46 EDT
all clients version are always compatible with old and futures version Spacewalk server.
This is no exception.

Note You need to log in before you can comment on or make changes to this bug.